Package org.zkoss.bind.impl

## Class BindingImpl

- java.lang.Object
- - org.zkoss.bind.impl.BindingImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `Binding`
  Direct Known Subclasses:
    `ChildrenBindingImpl`, `CommandBindingImpl`, `FormBindingImpl`, `LoadTemplateBindingImpl`, `PropertyBindingImpl`, `ReferenceBindingImpl`

      public class BindingImpl
      extends java.lang.Object
      implements Binding, java.io.Serializable

  Base implementation for implementing a `Binding`
  Since:
    6.0.0
  Author:
    henrichen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BindingImpl​(Binder binder, Component comp, java.util.Map<java.lang.String,​java.lang.Object> args)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `containsAttribute​(BindContext ctx, java.lang.Object key)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getArgs()` | Returns an argument `<tags, object>` pairs map(read only).
    `protected java.lang.Object` | `getAttribute​(BindContext ctx, java.lang.Object key)` |
    `Binder` | `getBinder()` | Returns the owner binder of this binding.
    `Component` | `getComponent()` | Returns the associated component of this binding.
    `protected java.lang.Object` | `setAttribute​(BindContext ctx, java.lang.Object key, java.lang.Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindingImpl

          protected BindingImpl​(Binder binder,
                                Component comp,
                                java.util.Map<java.lang.String,​java.lang.Object> args)

  - ### Method Detail

    - #### getComponent

          public Component getComponent()

      Description copied from interface: `Binding`
      Returns the associated component of this binding.
      Specified by:
        `getComponent` in interface `Binding`
      Returns:
        the associated component of this binding.

    - #### getBinder

          public Binder getBinder()

      Description copied from interface: `Binding`
      Returns the owner binder of this binding.
      Specified by:
        `getBinder` in interface `Binding`
      Returns:
        the owner binder of this binding.

    - #### getArgs

          public java.util.Map<java.lang.String,​java.lang.Object> getArgs()

      Description copied from interface: `Binding`
      Returns an argument `<tags, object>` pairs map(read only).
      Specified by:
        `getArgs` in interface `Binding`
      Returns:
        an argument `<tags, object>` pairs map(read only).

    - #### setAttribute

          protected java.lang.Object setAttribute​(BindContext ctx,
                                                  java.lang.Object key,
                                                  java.lang.Object value)

    - #### getAttribute

          protected java.lang.Object getAttribute​(BindContext ctx,
                                                  java.lang.Object key)

    - #### containsAttribute

          protected boolean containsAttribute​(BindContext ctx,
                                              java.lang.Object key)